﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace WindowsFormsApp3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
       
            //DecimalDegrees Works
            mapLayerTest.MapUnit = GeographyUnit.DecimalDegree;
            //mapLayerTest.MapUnit = GeographyUnit.Feet;

            //Database Layer
            LayerOverlay layerOverlay = new LayerOverlay();
            MsSqlFeatureLayer sqlLayer = new MsSqlFeatureLayer();
            sqlLayer.ConnectionString = "Data Source=localhost;User ID=sa;Initial Catalog=gis;Persist Security Info=False;Password=Test1234";
            sqlLayer.TableName = "CampusAreaPointLocation_Test";
            sqlLayer.FeatureIdColumn = "FeatureID";
            sqlLayer.Srid = 4269;
            sqlLayer.DatabaseConnectionMode = DatabaseConnectionMode.AutoClose;

            //Error with GEOG_Data - geography Data Type
           // sqlLayer.CustomGeometryColumnName = "GEOG_Data";
            sqlLayer.CustomGeometryColumnName = "GEOM_Data";

            GeoSolidBrush symbolBrush = new GeoSolidBrush(GeoColor.SimpleColors.DarkRed);
            sqlLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(TextStyles.CreateSimpleTextStyle("AreaName", "Arial", 7, DrawingFontStyles.Regular, GeoColor.StandardColors.Black, GeoColor.StandardColors.White, 5));
            sqlLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(new PointStyle(PointSymbolType.Star, symbolBrush, 15));
            sqlLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            //Set CUrrent Extents
            sqlLayer.Open();
            mapLayerTest.CurrentExtent = sqlLayer.GetBoundingBox();
            sqlLayer.Close();
            //Add to Map Viewer
            layerOverlay.Layers.Add("layerTest", sqlLayer);
            mapLayerTest.Overlays.Add(layerOverlay);
            mapLayerTest.Refresh();
        }
    }
}
